.TH VR l "Trimble Navigation StarView"
.SH NAME
vr - Virtual room X/Motif client
.SH SYNOPSIS
.B "vr"
[options]
.SH DESCRIPTION
.PP
.I Vr
allows the screen to be divided into any number of separate rooms.
Each room "contains" only those windows that are started in that room.
The visible state (mapped or iconic), position and size of each toplevel
window is preserved between rooms, otherwise the window is withdrawn.
To switch rooms simply click on the toggle button corresponding to that room.
Here's some of the features:
.PP
The toggle buttons can be individually labeled and colored.
The default file \fI$HOME/.vrtile\fP contains one line per label starting with
room1 and ending with roomN
.PP
A dialog window can be managed or not to allow the user to re label the buttons.
.PP
A script can be executed whenever you toggle to a different room. I like to set
my root window for each different room this way.
.PP
You can password protect a room using the xpasswd tool.
.PP
You can allow some programs (titles) to span all rooms.
The default file \fI$HOME/.vrallrooms\fP contains one line per title.
.PP
You can have some programs started up in a given room at startup.
The default file \fI$HOME/.vrload\fP contains one line per title.
Each line has three fields: room_number delay_in_secs_it_takes_to_create_shells command_followed_by_&
The sharp symbol "#" is a comment character.
.PP
With the vrrc utility you can send a protocol message to vr to switch rooms.
I like to use this command with my default key bindings so I can "hot key"
between rooms.
.PP
Any program you write can call a vr library routine to figure out what the current
room is and what room it is running under. Eventually I may add the capability
for library routines that register a toplevel window with a particular room.
That would be much better than the current method of starting programs only at
vr startup.
.br
.SH OPTIONS
.TP 8
.B \-dialog
Don't want to manage a push button that allows a dialog to popup which is used
to re label the buttons.
.TP 8
.B \+dialog
Opposite of \-dialog
.TP 8
.B \-nrooms \fIn\fP
Number of rooms to be presented
.TP 8
.B \-ncols \fIn\fP
Number of columns to be presented
.TP 8
.B \-vrLoadFile \fIfile\fP
This option specifies which file to consult at startup to preload rooms.
.TP 8
.B \-vrTitleFile \fIfile\fP
This option specifies what labels to use in the toggle buttons.
.TP 8
.B \-vrAllRoomsFile \fIfile\fP
This option specifies what titles live in all rooms.
.TP 8
.B \-rNc \fIcolorname\fP
This option specifies what colors are used in the toggle buttons and the root window
.SH RESOURCES
.B Vr*want_dialog : \fItrue or false\fP
.br
.B Vr*nrooms : \fIn\fP
.br
.B Vr*nrows : \fIn\fP
.br
.B Vr*vrLoadFile : \fIfile\fP
.br
.B Vr*vrTitleFile : \fIfile\fP
.br
.B Vr*vrAllRoomsFile : \fIfile\fP
.br
.B Vr*room\fBN\fIColor : \fIcolorname\fP
.br
.TP 8
More permanent way of specifying functionality. See OPTIONS.
.SH FILES
vr.c vr.h vrutil.c xs_sndrcv.c
.SH BUGS
Works well with mwm except:
1) Client specified icons seems to revert back to default when leaving and
returning to a room. Sol'n: Use the Mwm*client*iconImage resource
.br
2) Icon positions are out of control when leaving and returning to a room.
Sol'n: Use Mwm*iconAutoPlace: false and live with mwm positioning.
Challenge: Does anyone out there have a clue on how to handle this?
.br
Seems ok with olwm but I have sometimes locked up my system.
It may be the olwm (openwindows2) that may have been the problem.
Twm crashed a few times and I'm not sure why.
No other wm's tested.
.SH AUTHOR
Richard Mauri
.br.
 Thanks to Jay Schmidgall jay@vnet.ibm.com for generalizing rooms ad anfinitum
      and resize handler!
 Thanks to Scott Grosch garath@engin.umich.edu for exit handler (needed badly)
