/*
 * vrrc.c
 *	vr (r)emote (c)ontrol
 *
 *	Send message number (room number) to vr to remotely switch rooms
 *
 * Created: 5/2/91 rem
 */

#include <stdio.h>
#include <string.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>


typedef struct {
    int	room;
} AppData, *AppDataPtr;

#define XtNroom "room"
#define XtCroom "Room"

static XtResource resources[] = {
    {
	XtNroom,
	XtCroom,
	XtRInt,
	sizeof(int),
        XtOffset(AppDataPtr, room),
        XtRImmediate,
        (XtPointer) 1,
    },
};

static XrmOptionDescRec options[] = {
   { "-room","*room",	XrmoptionSepArg, NULL },
};

static AppData app_data;

void main(argc, argv)
int argc;
char **argv;
{
    XtAppContext context;
    Widget TopLevel = XtVaAppInitialize(&context, "Sender", options, 
		XtNumber(options), &argc, argv, NULL, NULL);

    XtGetApplicationResources(TopLevel, &app_data, resources, XtNumber(resources), NULL, 0);

    if (argc != 1) {
	printf ("vrrc -room roomno\n");
	exit (1);
    }

    xs_keysender("vr", XtDisplayOfObject(TopLevel), (XtPointer) &app_data.room);
    XFlush(XtDisplayOfObject(TopLevel));
    exit (0);
}
